对账单V2

post
https://connect.zhihuiya.com/open-user/statement/v2
在体验中心中试用

支持输入时间区间获取API调用情况和账单信息

仅支持获取当前账号的对账信息;如时间跨度较长,可能会需要较长时间返回结果。 明细记录从每日8点开始统计。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
apikey
必填
stringabc123456
API Key
client_secret
必填
stringabc123456
API secret
time_start
必填
string20250101
起始日期
time_end
必填
string20250301
截止日期

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
usage
array[ { "fee_times": 1, "used_money": 0, "usage_times": 1, "request_path": "/basic-patent-data/fulltext-image", "serial_number": "P042", "request_path_name": "<cn>[P042]全文附图</cn><us>[P042]Fulltext Image</us>" } ]
各计费接口使用明细
fee_times
number80
计费次数
used_money
number123.45
消费金额
usage_times
number100
调用次数
request_path
string/basic-patent-data/fulltext-image
接口路径
serial_number
stringP042
流水号
request_path_name
string[P042]Fulltext Image
接口名称
combo_usage
array[ { "url": "/ai/quick-search-report/query", "url_name": "<cn>[AI34-3]预研报告查询(Beta)</cn><us>[AI34-3]Quick-search report Query(Beta)</us>", "used_num": 21 }, { "url": "/ai/formulation-agent-query", "url_name": "<cn>[M001-2]配方助手-报告查询</cn><us>[M001-2]Formulation agent query</us>", "used_num": 7 } ]
各计次接口使用明细
url
string/ai/quick-search-report/query
接口地址
url_name
string[AI34-3]Quick-search report Query(Beta)
接口名称
used_num
integer<int32>21
使用次数
usage_num
integer<int32>21
计次次数
usage_money
number100
计费接口花费金额
combo_use_num
integer<int32>100
计次接口使用次数
combo_usage_num
integer<int32>100
计次接口计次次数
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "usage": [
      {
        "fee_times": 80,
        "used_money": 123.45,
        "usage_times": 100,
        "request_path": "/basic-patent-data/fulltext-image",
        "serial_number": "P042",
        "request_path_name": "[P042]全文附图"
      }
    ],
    "combo_usage": [
      {
        "url": "/ai/quick-search-report/query",
        "url_name": "[AI34-3]预研报告查询(Beta)",
        "used_num": 21,
        "usage_num": 21
      }
    ],
    "usage_money": 100,
    "combo_use_num": 100,
    "combo_usage_num": 100
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms